package com.ssj.dao.kmt.kmt.dao;

import java.util.List;
import java.util.Map;

public interface KmtConchQueryDao {


	/**
	 * 查询批改作业列表
	 * @param teacherId
	 * @param beginTime
	 * @return
	 */
	List<Map<String, Object>> findHomeworkPictureByList(String teacherId, String beginTime);

	/**
	 * 查询匹配知识点作业列表
	 * @param teacherId
	 * @param beginTime
	 * @return
	 */
	List<Map<String, Object>> findKnowHomeworkPictureByList(String teacherId, String beginTime);
	
	List<Map<String, Object>> findStudentWorkImgByList(String studentWorkId);

	/**
	 * 查询质检员的作业列表，目前是单张批改，复用批改老师的作业列表
	 * @param homeworkPictureId
	 * @return
	 */
	List<Map<String, Object>> findCheckHomeworkPictureList(String homeworkPictureId);
}
